Subject: Re: [PATCH 3/5] Add checkpoint support for veth devices (v2)

From: Dan Smith <[email-masked]>
Date: Mon, 22 Feb 2010 13:01:15 -0800

SH> So do you actually know that the peer's netns will have been
SH> checkpointed?  I'm a little fuzzy about where netns and netdevs
SH> are checkpointed.  If you have two private netns's in a container,
SH> with a veth connecting them, and you checkpoint a task in netns 1,
SH> will you fail bc netns 2 hasn't been checkpointed yet bc no task
SH> in it has been checkpointed yet?

Nope, because they're collect()'ed before we checkpoint().

-- 
Dan Smith
IBM Linux Technology Center
email: [email-masked]